package com.zm.order.tool.server.query;

import com.alibaba.fastjson.JSON;
import com.zm.order.tool.server.model.BasePageQuery;

import java.util.List;

/**
 * @Description 退款单商品查询参数
 * @Author: ph
 * @Date: 2019/11/4 09:52
 */
public class RefundItemQuery extends BasePageQuery {

    private String refundNo;

    private String orderNo;

    private Integer size;

    private Long lastId;

    private List<String> refundNoList;

    private Long userId;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public List<String> getRefundNoList() {
        return refundNoList;
    }

    public void setRefundNoList(List<String> refundNoList) {
        this.refundNoList = refundNoList;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public Long getLastId() {
        return lastId;
    }

    public void setLastId(Long lastId) {
        this.lastId = lastId;
    }

    public String getRefundNo() {
        return refundNo;
    }

    public void setRefundNo(String refundNo) {
        this.refundNo = refundNo;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
